Bug 1308202 - ufraw: FTBFS in rawhide
ufraw: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ufraw (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 17:37 EST by Fedora Release Engineering
Modified: 2016-05-27 23:34 EDT (History)
2 users (show)

See Also:
Fixed In Version: ufraw-0.22-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-27 23:34:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (20.79 KB, text/plain)
2016-02-13 17:37 EST, Fedora Release Engineering
no flags Details
root.log (115.41 KB, text/plain)
2016-02-13 17:37 EST, Fedora Release Engineering
no flags Details
state.log (609 bytes, text/plain)
2016-02-13 17:37 EST, Fedora Release Engineering
no flags Details
update_to_0.22.patch (1.13 KB, patch)
2016-02-26 12:45 EST, Sergio Monteiro Basto
no flags Details | Diff

  None (edit)
Description Fedora Release Engineering 2016-02-13 17:37:29 EST
Your package ufraw failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12875554

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 17:37:31 EST
Created attachment 1126662 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 17:37:32 EST
Created attachment 1126663 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 17:37:33 EST
Created attachment 1126664 [details]
state.log
Comment 4 Jan Kurik 2016-02-24 10:17:30 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Sergio Monteiro Basto 2016-02-26 12:45 EST
Created attachment 1130888 [details]
update_to_0.22.patch

Hello, update ufraw to 0.22 fix builds on i386 and x864_64.
But on arm we got an GCC6 error,  narrowing conversion:

https://koji.fedoraproject.org/koji/taskinfo?taskID=13138966
https://kojipkgs.fedoraproject.org//work/tasks/8966/13138966/build.log

Reading devel Mailing list : 
https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/5XKTBQYD4PCLGQ6O33HPHZ22MZGEB476/

Adding an explicit signed should fixed the build.

I got same problem with rawstudio, which bundle part of ufraw, but we decide drop ufraw (dcraw) plugin , so I haven't this problem anymore.

Best regards.
Comment 6 Upstream Release Monitoring 2016-05-18 23:03:16 EDT
sergiomb's ufraw-0.22-1.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=766943
Comment 7 Fedora Update System 2016-05-19 08:12:08 EDT
ufraw-0.22-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ede23bb931
Comment 8 Fedora Update System 2016-05-20 21:32:41 EDT
ufraw-0.22-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ede23bb931
Comment 9 Fedora Update System 2016-05-27 23:34:30 EDT
ufraw-0.22-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.